TESTING/LIN/zqrt12.f(3)

NAME
TESTING/LIN/zqrt12.f

SYNOPSIS

  Functions/Subroutines
double precision function zqrt12 (m, n, a, lda, s, work, lwork, rwork)
ZQRT12

Function/Subroutine Documentation

  double precision function zqrt12 (integer m, integer n, complex*16, dimension( lda, * ) a, integer lda, double precision, dimension( * ) s, complex*16, dimension( lwork ) work, integer lwork, double precision, dimension( * ) rwork)

ZQRT12

Purpose:

     ZQRT12 computes the singular values `svlues' of the upper trapezoid
     of A(1:M,1:N) and returns the ratio
          || svlues - s||/(||s||*eps*max(M,N))

Parameters
    M

              M is INTEGER
              The number of rows of the matrix A.

    N

              N is INTEGER
              The number of columns of the matrix A.

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              The M-by-N matrix A. Only the upper trapezoid is referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.

    S

              S is DOUBLE PRECISION array, dimension (min(M,N))
              The singular values of the matrix A.

    WORK

              WORK is COMPLEX*16 array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK. LWORK >= M*N + 2*min(M,N) +
              max(M,N).

    RWORK

              RWORK is DOUBLE PRECISION array, dimension (2*min(M,N))

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 95 of file zqrt12.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.